/* knnfp.h */

#define MAX_CLASSES     50   /* maximum no. of classes */
#define MAX_FEATURES   300   /* maximum no. of features */
#define MAX_TRAIN     5000   /* maximum no. of instances */
#define MAX_TEST      1000   /* maximum no. of instances */
#define MAX_NAME        60   /* maximum length of a name */
#define MAX_LINE      2000   /* maximum length of a line */

#define INFINITE  (float)2.0E+10

#define KNOWN '*'
#define UNKNOWN '?'
#define UNDETERMINED 0
#define TRUE  1
#define FALSE 0

typedef int FEATURE;
typedef int CLASS;

typedef float VALUE;

typedef struct {
  VALUE value[MAX_FEATURES];
  char  status[MAX_FEATURES];
  CLASS class;			/* 0 for unknown */
} INSTANCE;

typedef struct {
  char status;
  VALUE value;
  CLASS class;
} POINT;
