/* output.c */

#include <stdio.h>
#include "knnfp.h"

extern int No_Features, No_Classes;
extern int className[];

extern FILE *logf;

void 
log_instance(INSTANCE inst) 
{
  FEATURE f;

  for (f = 0; f < No_Features; f++)
    if (inst.status[f] == KNOWN) 
      fprintf(logf, "%6g ", inst.value[f]);
    else
      fprintf(logf, "%?????? ");
  fprintf(logf, ": %d\n", className[inst.class]);
} /* log_instance */

void 
log_data(INSTANCE *Data, int size)  /* for diagnostic purposes */
{
  int i;

  for (i=0; i < size; i++) 
    log_instance(Data[i]);
} /* log_data */
